#!/usr/bin/env python
#
# This file is part of Room Adventure Template
# Author(s): Clare Richardson, Girlstart
# Copyright 2008
#
# Source code is part of Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for font, sound, and image sources.
#
# Room Adventure Template is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Room Adventure Template is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Room Adventure Template.  If not, see <http://www.gnu.org/licenses/>.

import pygame, ActivityBase
from helpers import *

class Activity1(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)
		
	def play(self):
		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					self.activity_completed = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			image, imagerect = load_image("activity1-play.png")
			imagerect.centerx = self.area.centerx
			imagerect.centery = self.area.centery
			self.screen.blit(image,imagerect)
			
			pygame.display.flip()

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect

class Activity2(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def play(self):
		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					self.activity_completed = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			image, imagerect = load_image("activity2-play.png")
			imagerect.centerx = self.area.centerx
			imagerect.centery = self.area.centery
			self.screen.blit(image,imagerect)
			
			pygame.display.flip()

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect

class Activity3(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def play(self):
		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					self.activity_completed = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			image, imagerect = load_image("activity3-play.png")
			imagerect.centerx = self.area.centerx
			imagerect.centery = self.area.centery
			self.screen.blit(image,imagerect)
			
			pygame.display.flip()

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect

class Activity4(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def play(self):
		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					self.activity_completed = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			image, imagerect = load_image("activity4-play.png")
			imagerect.centerx = self.area.centerx
			imagerect.centery = self.area.centery
			self.screen.blit(image,imagerect)
			
			pygame.display.flip()

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect
