#!/usr/bin/env python
#
# This file is part of Room Adventure Template
# Author(s): Clare Richardson, Girlstart
# Copyright 2008
#
# Source code is part of Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for font, sound, and image sources.
#
# Room Adventure Template is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Room Adventure Template is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Room Adventure Template.  If not, see <http://www.gnu.org/licenses/>.

import sys, pygame, random, os
from helpers import *
from Activities import *
pygame.init()

# Set up the window
windowsize = windowwidth, windowheight = 800, 800
screen = pygame.display.set_mode(windowsize)
area = screen.get_rect()
background,background_rect = load_image("background.png")

# Set up the group of activities
activities = pygame.sprite.RenderUpdates()
activities.add(Activity1((50,50),background,"activity1.png","activity1-completed.png"))
activities.add(Activity2((450,50),background,"activity2.png","activity2-completed.png"))
activities.add(Activity3((50,550),background,"activity3.png","activity3-completed.png"))
activities.add(Activity4((450,550),background,"activity4.png","activity4-completed.png"))

# Main game play
while True:
	# Check to see if the user has clicked the mouse or pressed a key
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit()
		elif event.type == pygame.MOUSEBUTTONDOWN:
			for activity in activities:
				if activity.rect.collidepoint(event.pos):
					activity.play()

	# Draw everything to the screen
	screen.blit(background,(0,0))
	activities.draw(screen)
	
	pygame.display.flip()
